clang 10.0.0git

Functions
CGGPUBuiltin.cpp File Reference
`#include "CodeGenFunction.h"`
`#include "clang/Basic/Builtins.h"`
`#include "llvm/IR/DataLayout.h"`
`#include "llvm/IR/Instruction.h"`
`#include "llvm/Support/MathExtras.h"`
Include dependency graph for CGGPUBuiltin.cpp:

Go to the source code of this file.

## Functions
static llvm::Function * | GetVprintfDeclaration (llvm::Module &M)

## Function Documentation

## ◆ GetVprintfDeclaration()

static llvm::Function* GetVprintfDeclaration | ( | llvm::Module & | M | ) |
| static

Definition at line 23 of file CGGPUBuiltin.cpp.

References clang::Create(), clang::ExternalLinkage, and clang::CodeGen::Type.

Referenced by clang::CodeGen::CodeGenFunction::EmitNVPTXDevicePrintfCallExpr().